Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CreatorContext

- org.apache.groovy.parser.antlr4.GroovyParser.CreatorContext

-     public static class GroovyParser.CreatorContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreatorContext(ParserRuleContext parent, int invokingState)`
    `CreatorContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public AnonymousInnerClassDeclarationContext` | `anonymousInnerClassDeclaration()`
    `` | `public ArgumentsContext` | `arguments()`
    `` | `public ArrayInitializerContext` | `arrayInitializer()`
    `` | `public CreatedNameContext` | `createdName()`
    `` | `public List<? extends DimContext>` | `dim()`
    `` | `public DimContext` | `dim(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public NlsContext` | `nls()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public CreatorContext(ParserRuleContext parent, int invokingState)

    - #### public CreatorContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration()

    - #### public ArgumentsContext arguments()

    - #### public ArrayInitializerContext arrayInitializer()

    - #### public CreatedNameContext createdName()

    - #### public List<? extends DimContext> dim()

    - #### public DimContext dim(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public NlsContext nls()